package com.hzya.frame.sysnew.messageManageLog.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sysnew.messageManageLog.dao.ISysMessageManageLogDao;
import com.hzya.frame.sysnew.messageManageLog.entity.SysMessageManageLogEntity;
import com.hzya.frame.sysnew.messageManageLog.entity.SysMessageManageLogPageVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 消息管理日志(SysMessageManageLog)表数据库访问层
 *
 * @author makejava
 * @since 2023-08-28 16:48:36
 */
@Repository("SysMessageManageLogDaoImpl")
public class SysMessageManageLogDaoImpl extends MybatisGenericDao<SysMessageManageLogEntity, String> implements ISysMessageManageLogDao {
    @Override
    public List<SysMessageManageLogPageVo> queryListByPageVo(SysMessageManageLogEntity entity) {
        List<SysMessageManageLogPageVo> o = (List<SysMessageManageLogPageVo>) super.selectList(getSqlIdPrifx() + "queryListByPageVo", entity);
        return o;
    }

    @Override
    public List<SysMessageManageLogPageVo> queryListByErrorPageVo(SysMessageManageLogEntity entity) {
        List<SysMessageManageLogPageVo> o = (List<SysMessageManageLogPageVo>) super.selectList(getSqlIdPrifx() + "queryListByErrorPageVo", entity);
        return o;
    }

    @Override
    public List<SysMessageManageLogEntity> queryBackupData(SysMessageManageLogEntity entity) {
        List<SysMessageManageLogEntity> list =(List<SysMessageManageLogEntity>) super.selectList(getSqlIdPrifx() + "entity_list_time", entity);
        return list;
    }

    @Override
    public Integer updateBackupData(List<SysMessageManageLogEntity> entities) {
        return super.update(getSqlIdPrifx()+"entity_update_time",entities);
    }

    @Override
    public Integer deleteBackupData(List<SysMessageManageLogEntity> entities) {
        return super.update(getSqlIdPrifx()+"entity_delete_time",entities);
    }

    @Override
    public List<String> querySysMessageManageLogIds(SysMessageManageLogEntity entity) {
        List<String> list =(List<String>) super.selectList(getSqlIdPrifx() + "querySysMessageManageLogIds", entity);
        return list;
    }
}

